Skip to content

getFixedAssetDisposal

READ

Get fixed asset disposal.

POST /api/v1/accounting/getFixedAssetDisposal
curl -X POST '<your-host>/api/v1/accounting/getFixedAssetDisposal' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fixedAssetId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "disposalDate": "string",
  "disposalMethod": "Sale",
  "fixedAssetId": "string",
  "gainLoss": 0,
  "id": "string",
  "journalId": "string",
  "netBookValueAtDisposal": 0,
  "saleProceeds": 0,
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "fixedAssetId": {
      "type": "string"
    }
  },
  "required": [
    "fixedAssetId"
  ]
}